package com.cachingapp.cache;

/**
 * This interface defines the method to implement the logic to create a unique key
 * for a cached object.
 *
 * @version 1.0
 * @author Srini Penchikala
 * @since 10/03/2003
 */
public interface ICacheKey {

	/**
 	 * Method to speficy the cache key logic.
	 */
	 public Object getCacheKey() throws CachingException;

}
// End of ICacheKey.java
